local ____lualib = require("lualib_bundle")
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local PlayerType = ____isaac_2Dtypescript_2Ddefinitions.PlayerType
local ____ReadonlySet = require("types.ReadonlySet")
local ReadonlySet = ____ReadonlySet.ReadonlySet
--- The set of characters where red heart containers will be turned into soul hearts (e.g. Blue
-- Baby). This includes The Lost and Tainted Lost. This does not include Keeper or Tainted Keeper.
____exports.CHARACTERS_WITH_NO_RED_HEARTS_SET = __TS__New(ReadonlySet, {
    PlayerType.BLUE_BABY,
    PlayerType.LOST,
    PlayerType.DARK_JUDAS,
    PlayerType.JUDAS_B,
    PlayerType.BLUE_BABY_B,
    PlayerType.LOST_B,
    PlayerType.FORGOTTEN_B,
    PlayerType.BETHANY_B
})
return ____exports
